For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API Reference

Device Information

GET
https://api.frame.io/v2/devices/me
GET
/v2/devices/me
1import requests
2
3url = "https://api.frame.io/v2/devices/me"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "_type": "project_device",
3 "id": "4f2da3a9-71a3-4ab2-bcfe-b15a1b2c88e7",
4 "asset_type": "video",
5 "creator_id": "8437941d-dad1-467d-ba57-6758be7c5598",
6 "device_id": "a6bde4d5-433d-40d9-89db-da46c484a499",
7 "inserted_at": "2025-10-23T20:17:41.997130Z",
8 "last_seen_at": "2025-10-23T20:28:33Z",
9 "last_known_firmware_version": "1.0.0",
10 "name": "Jpg-C2C-Hardware-123456789000000000",
11 "project_id": "57b04261-a440-480b-b0e5-c2d3dee7591b",
12 "updated_at": "2025-10-23T20:28:33.037163Z",
13 "status": "offline",
14 "timezone": "America/New_York",
15 "authorization": {
16 "_type": "project_device_authorization",
17 "creator": {
18 "_type": "user",
19 "id": "8437941d-dad1-467d-ba57-6758be7c5598",
20 "name": "Charlie Anderson"
21 },
22 "creator_id": "8437941d-dad1-467d-ba57-6758be7c5598",
23 "id": "ec45e65f-ab5e-4c00-b56a-8edb14a2d6de",
24 "inserted_at": "2025-10-23T20:28:33.033487Z",
25 "project_device_id": "4f2da3a9-71a3-4ab2-bcfe-b15a1b2c88e7",
26 "scopes": {
27 "account_read": false,
28 "action_create": false,
29 "action_delete": false,
30 "action_read": false,
31 "action_update": false,
32 "asset_create": true,
33 "asset_delete": false,
34 "asset_read": false,
35 "asset_update": false,
36 "auditlog_read": false,
37 "comment_create": false,
38 "comment_delete": false,
39 "comment_read": false,
40 "comment_update": false,
41 "device_connect": false,
42 "id": "string",
43 "offline": true,
44 "presentation_create": false,
45 "presentation_delete": false,
46 "presentation_read": false,
47 "presentation_update": false,
48 "project_create": false,
49 "project_delete": false,
50 "project_read": false,
51 "project_update": false,
52 "reviewlink_create": false,
53 "reviewlink_delete": false,
54 "reviewlink_read": false,
55 "reviewlink_update": false,
56 "team_create": false,
57 "team_read": false,
58 "team_update": false,
59 "webhook_create": false,
60 "webhook_delete": false,
61 "webhook_read": false,
62 "webhook_update": false
63 },
64 "expires_at": null
65 },
66 "project": {
67 "id": "57b04261-a440-480b-b0e5-c2d3dee7591b",
68 "name": "C2C Demo v3",
69 "_type": "project"
70 },
71 "channels": [
72 {
73 "_type": "project_device_channel",
74 "id": "5fc73e79-1de7-4f8a-b016-6763e54d8c29",
75 "actor_id": "8437941d-dad1-467d-ba57-6758be7c5598",
76 "asset_type": "video",
77 "device_id": "a6bde4d5-433d-40d9-89db-da46c484a499",
78 "external_index": 0,
79 "inserted_at": "2025-10-23T20:17:41.999683Z",
80 "name": "Jpg C2C Hardware",
81 "project_id": "57b04261-a440-480b-b0e5-c2d3dee7591b",
82 "project_device_id": "4f2da3a9-71a3-4ab2-bcfe-b15a1b2c88e7",
83 "real_time_logging_capable": false,
84 "status": "offline",
85 "updated_at": "2025-10-23T20:17:41.999683Z"
86 }
87 ]
88}
Fetches information about the current device connection. Can be used to verify authorization token and returns information useful to present useful information in your user interface.
Was this page helpful?

Heartbeat ping

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-client-versionstringOptionalDefaults to 0.0.0
Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version. For more on semantic versions, see here: https://semver.org/

Response

Device information response
_typestringDefaults to project_device
Resource type identifier
idstringformat: "uuid"
asset_typestring
The type of asset that this device will be producing
creator_idstringformat: "uuid"
deleted_atstringformat: "date-time"
device_idstringformat: "uuid"
inserted_atstringformat: "date-time"
last_seen_atstringformat: "date-time"
last_known_firmware_versionstring
The last known firmware version reported by the device
namestring<=255 characters
Name of this device as shown in the iOS app and web app
project_idstringformat: "uuid"
The Project ID that this device is linked to
updated_atstring
statusenum
Allowed values:
timezonestring
authorizationobject
Authorization details for a project device
projectobject
channelslist of objects
channel_countinteger<=100
path_asset_typestring<=50 characters
path_namestring<=50 characters
required_metadata_attributeslist of strings

Errors

401
Unauthorized Error

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/